Gwibber’s Twitter authentication issue fixed

Gwibber, the Linux social networking client for Twitter, Facebook, etc. (now included by default in Ubuntu 10.04), has recently failed to load new Twitter timeline updates for my Twitter accounts. For some time, I thought it was due to some sort of flaw in Gwibber itself, causing me to criticize this new central part of Ubuntu as a major flaw. However, it turns out I was mistaken; unknown to me, Gwibber’s problems apparently were caused by Twitter itself changing to a new authentication system, one which seems to have gotten some criticism (including by Gwibber’s own creator).

As for Gwibber users, here’s how to update to the latest version, which works with the new authentication. The update will be rolled into the version included in next month’s Ubuntu 10.10 release (and presumably some future update for those staying with 10.04). I’m glad to see Gwibber’s working again, though I’m not sure the recommended instructions that I used are what I’d call “user friendly” for less experienced users, as they involved using the Terminal to add the regularly-updated repository to one’s Ubuntu system (to download a newer version of Gwibber from). Of course, aside from waiting for Ubuntu 10.10, Twitter’s website still works perfectly well from within Firefox.

Leave a Reply

Your email address will not be published. Required fields are marked *